Firefox 57 - plugin

Ask general questions here.
User avatar
giuseppe.lacagnina
Posts: 113
Joined: Fri Sep 18, 2015 10:25 am
Location: Brunn am Gebirge, Vienna, Austria

Firefox 57 - plugin

Post by giuseppe.lacagnina » Thu Nov 09, 2017 12:12 pm

Dear All,

I have tried to install the Ranorex Firefox plugin on version 57.0 but I got an error message:

Ranorex Automation NG could not be installed because it is not compatible with Firefox 57.0

I am running Ranorex studio 5.4.4 and, for the time being, I cannot update to a newer version.
What I would like to know:

- if a newer Ranorex version would solve the issue
- if there is any other solution

Thanks in advance!!!

User avatar
odklizec
Ranorex Guru
Ranorex Guru
Posts: 3945
Joined: Mon Aug 13, 2012 9:54 am
Location: Zilina, Slovakia

Re: Firefox 57 - plugin

Post by odklizec » Thu Nov 09, 2017 12:32 pm

Hi,

The latest version of Ranorex will definitely solve your problem. The thing is that Firefox uses new plugin model and older plugins are probably no longer supported in newest FF? So your only option to use Ranorex with FF 57 is to update Ranorex to 7.2.0 (or recently released 7.2.1).
Pavel Kudrys
Ranorex explorer at Descartes Systems

Please add these details to your questions:
  • Ranorex Snapshot. Learn how to create one >here<
  • Ranorex xPath of problematic element(s)
  • Ranorex version
  • OS version
  • HW configuration

User avatar
giuseppe.lacagnina
Posts: 113
Joined: Fri Sep 18, 2015 10:25 am
Location: Brunn am Gebirge, Vienna, Austria

Re: Firefox 57 - plugin

Post by giuseppe.lacagnina » Thu Nov 09, 2017 1:14 pm

Thanks, this will be a strong argument for my update request :-)

User avatar
odklizec
Ranorex Guru
Ranorex Guru
Posts: 3945
Joined: Mon Aug 13, 2012 9:54 am
Location: Zilina, Slovakia

Re: Firefox 57 - plugin

Post by odklizec » Thu Nov 09, 2017 1:20 pm

I would also point out that updating Ranorex regularly (on yearly basis) is much cheaper than updating it every two years or so! Check the renewal page:
https://www.ranorex.com/pricing/renewal.html
Pavel Kudrys
Ranorex explorer at Descartes Systems

Please add these details to your questions:
  • Ranorex Snapshot. Learn how to create one >here<
  • Ranorex xPath of problematic element(s)
  • Ranorex version
  • OS version
  • HW configuration

User avatar
giuseppe.lacagnina
Posts: 113
Joined: Fri Sep 18, 2015 10:25 am
Location: Brunn am Gebirge, Vienna, Austria

Re: Firefox 57 - plugin

Post by giuseppe.lacagnina » Thu Nov 09, 2017 1:24 pm

Thanks! I have more stuff to convince the people who can allow me to update :-)

User avatar
giuseppe.lacagnina
Posts: 113
Joined: Fri Sep 18, 2015 10:25 am
Location: Brunn am Gebirge, Vienna, Austria

Re: Firefox 57 - plugin

Post by giuseppe.lacagnina » Fri Nov 10, 2017 9:09 am

I have updated to 7.2.1. The plugin works with Firefox 57!
Thanks everyone!

Saraa71a
Posts: 10
Joined: Thu Mar 22, 2018 9:41 pm

Re: Firefox 57 - plugin

Post by Saraa71a » Fri Mar 23, 2018 4:57 pm

I have the same issue with Ranorex 5.4.6, but i am unwilling to update my ranorex.
FF version is 59.0.1, I reinstalled ranorex, tried adding plugin manually and by wizard tool, still facing that issue, error message of incompatibility.

Thanks for any helps in advance,
Sara

User avatar
Support Team
Site Admin
Site Admin
Posts: 11709
Joined: Fri Jul 07, 2006 4:30 pm
Location: Graz, Austria

Re: Firefox 57 - plugin

Post by Support Team » Tue May 08, 2018 8:49 am

Hello Sara,

I'm afraid Ranorex 5.4.6 is no longer supported and the old add-on doesn't work with newer Firefox versions. We re-implemented the Firefox plug-in in version 7.2 because of some major changes in Firefox.
Unfortunately, there is no other way than updating Ranorex.

Sincerely,
Bernhard
.
Image